Subject: bug#79396: 30.1; cl-copy-list can error but is declared as error-free

From: Stefan Monnier <[email-masked]>
Date: Sun, 07 Sep 2025 11:39:35 -0400

> (CC:ing Stefan in case he has a preference.)

I like pure&total functions, so I'm in favor of the change.
I also like strong typing, so I'm not in favor of a change that makes
a "list" function accept silently a non-list argument.
[ I'm so I glad I don't have to be consistent.  ]

Between the two I think pure&total might be a bit more important in this
case (even though the result is still not total), but that's a very
weak preference.  Either way works so it's probably best to let dead
dogs die (i.e. not change the existing behavior).

        Stefan